Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces
ecdh.cpp File Reference
`#include <botan/ecdh.h>`
`#include <botan/numthry.h>`
`#include <botan/internal/pk_ops_impl.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Variable Documentation

const EC_Group m_group

Definition at line 52 of file ecdh.cpp.

BigInt m_l_times_priv

Definition at line 53 of file ecdh.cpp.

RandomNumberGenerator& m_rng

Definition at line 54 of file ecdh.cpp.

Referenced by Botan::Blinder::rng(), and Botan::TLS::Channel::rng().

std::vector<BigInt> m_ws

Definition at line 55 of file ecdh.cpp.